
%%
geo=handles.geo;
pointsnumber=handles.numberofpoints;
%%
        geo.gbn0=(max(geo.gbn)+min(geo.gbn))/2;
        gbn=geo.gbn-geo.gbn0;
        geo.gbe0=(max(geo.gbe)+min(geo.gbe))/2;
        gbe=geo.gbe-geo.gbe0;
    
        A(:,1)=[gbn;zeros(pointsnumber,1)];
        A(:,2)=[gbe;zeros(pointsnumber,1)];
        A(:,3)=[ones(pointsnumber,1);zeros(pointsnumber,1)];
        A(:,4)=[zeros(pointsnumber,1);gbn];
        A(:,5)=[zeros(pointsnumber,1);gbe];
        A(:,6)=[zeros(pointsnumber,1);ones(pointsnumber,1)];
        A(:,7)=[-geo.col.*gbn;-geo.row.*gbn];
        A(:,8)=[-geo.col.*gbe;-geo.row.*gbe];

        b=[geo.col; geo.row];

        [U S V]=svd(A);
        sigma=diag(S);
        Ldagger=V*(b'*U(:,1:size(sigma,1))./sigma')';
    
        geo.L(1)=Ldagger(1);
        geo.L(2)=Ldagger(2);
        geo.L(4)=Ldagger(3);
        geo.L(5)=Ldagger(4);
        geo.L(6)=Ldagger(5);
        geo.L(8)=Ldagger(6);
        geo.L(9)=Ldagger(7);
        geo.L(10)=Ldagger(8);

        [geo.COL,geo.ROW]=meshgrid([1:1:geo.pixelcol],[1:1:geo.pixelrow]);
    
        denom=(geo.L(1)*(geo.L(10)*geo.ROW - geo.L(6)) - geo.L(10)*geo.L(5)*geo.COL + geo.L(2)*(geo.L(5) - geo.L(9)*geo.ROW) + geo.L(6)*geo.L(9)*geo.COL);
        geo.GBN=-(geo.L(10)*(geo.L(4)*geo.ROW - geo.L(8)*geo.COL) + geo.L(2)*(geo.L(8) - geo.ROW) - geo.L(6)*(geo.L(4) - geo.COL))./denom;
        geo.GBE=(geo.L(1)*(geo.L(8) - geo.ROW) + geo.L(4)*(geo.L(9)*geo.ROW - geo.L(5)) + geo.COL*(geo.L(5) - geo.L(8)*geo.L(9)))./denom;

coeffcamera=2;

        geo.gbnmin=coeffcamera*(min(geo.gbn)-geo.gbn0);
        geo.gbnmax=coeffcamera*(max(geo.gbn)-geo.gbn0);
        geo.gbemin=coeffcamera*(min(geo.gbe)-geo.gbe0);
        geo.gbemax=coeffcamera*(max(geo.gbe)-geo.gbe0);

        gbnret=linspace(geo.gbnmax,geo.gbnmin,geo.pixelrow);
        gberet=linspace(geo.gbemin,geo.gbemax,geo.pixelcol);

        [geo.GBEret,geo.GBNret]=meshgrid(gberet,gbnret);

        geo.colret=(floor((geo.L(1).*geo.GBNret+geo.L(2).*geo.GBEret+geo.L(4))./(geo.L(9).*geo.GBNret+geo.L(10).*geo.GBEret+1)));
        geo.rowret=(floor((geo.L(5).*geo.GBNret+geo.L(6).*geo.GBEret+geo.L(8))./(geo.L(9).*geo.GBNret+geo.L(10).*geo.GBEret+1)));

        geo.GBNret=geo.GBNret+geo.gbn0;
        geo.GBEret=geo.GBEret+geo.gbe0;
        
        geo.GBN=geo.GBN+geo.gbn0;
        geo.GBE=geo.GBE+geo.gbe0;