
%%
namefile=['camera' num2str(handles.camera) '.info'];
fo=fopen(namefile,'r');
location=[fgetl(fo) '\'];
name=fgetl(fo);
dateformat=str2num(fgetl(fo));
numberofdtmx=str2num(fgetl(fo));
numberoftmx=str2num(fgetl(fo));
fclose(fo);

%% 
valchecktmx=get(handles.checkbox_tmx,'Value');
valcheckdtmx=get(handles.checkbox_dtmx,'Value');

for it = 1 : numberofdtmx
    valsession(it)=get(handles.vector{it},'Value');
end
number_of_valsession_checked=sum(valsession);

if (valcheckdtmx~=0 || valchecktmx*number_of_valsession_checked~=0)
%% 
%     contentspopup = get(handles.popupmenu1,'String');
%     datestart(3)=str2num(contentspopup{get(handles.popupmenu1,'Value')});
% 
%     contentspopup = get(handles.popupmenu2,'String');
%     datestart(2)=str2num(contentspopup{get(handles.popupmenu2,'Value')});
% 
%     contentspopup = get(handles.popupmenu3,'String');
%     datestart(1)=str2num(contentspopup{get(handles.popupmenu3,'Value')});

    datestart(3) = (get(handles.popupmenu1,'Value'));

    datestart(2) = (get(handles.popupmenu2,'Value'));

    datestart(1) = (get(handles.popupmenu3,'Value'))+1999;

%% 
%     contentspopup = get(handles.popupmenu11,'String');
%     dateend(3)=str2num(contentspopup{get(handles.popupmenu11,'Value')});
% 
%     contentspopup = get(handles.popupmenu12,'String');
%     dateend(2)=str2num(contentspopup{get(handles.popupmenu12,'Value')});
% 
%     contentspopup = get(handles.popupmenu13,'String');
%     dateend(1)=str2num(contentspopup{get(handles.popupmenu13,'Value')});
    dateend(3) = (get(handles.popupmenu11,'Value'));

    dateend(2) = (get(handles.popupmenu12,'Value'));

    dateend(1) = (get(handles.popupmenu13,'Value'))+1999;

%% 
    datefrom=datenum(datestart); clear datestart;
    dateto=datenum(dateend);    clear dateend;

    date=[datefrom:1:dateto];   clear datefrom; clear dateto;

    date_ddmmyy=datestr(date,'ddmmyy'); clear date;
    if dateformat==1
        date=date_ddmmyy;
    else
        date=date_ddmmyy(:,[5,6,3,4,1,2]);
    end
    clear dateformat;
    totaldays=size(date,1);
%% timex & variance

    if valchecktmx==1 
        TMXdir=[location 'TMX\'];
        STDdir=[location 'VAR\'];

        if (exist(TMXdir,'dir')==0)
            mkdir(TMXdir);
        end
        if (exist(STDdir,'dir')==0)
            mkdir(STDdir);
        end

        %% compute mean and variace for each timex session selected for each date
        for it=1 : numberofdtmx
            if valsession(it)==1
%%            
                fo=fopen(namefile,'r');
                number_of_lines_to_skip=(it-1)*numberoftmx+6;
                for itt=1 : number_of_lines_to_skip
                    fgetl(fo); 
                end
                clear number_of_lines_to_skip;
                for itt=1 : numberoftmx
                    timetmx(itt,:)=fgetl(fo); 
                end
                fclose(fo);
%%
                for it2=1 : totaldays
                    count=0;
                    sumI=0;
                    sumI2=0;                
                    for itt=1 : numberoftmx
                        nameimage=[location name date(it2,:) timetmx(itt,:)];
                        if exist(nameimage,'file')
                            I=double(imread(nameimage)); clear nameimage;                        
                            sumI=sumI+I;   
                            sumI2=sumI2+I.^2;    clear I;

                            count=count+1
                            %disp([name date(it2,:) timetmx(itt,:)])
                        end
                    end
                    if count ~=0
                        Ibar=sumI./count;
                        Istandarddeviation=sqrt((sumI2./count)-Ibar.^2);
%                    end                                
                    clear sumI; clear sumI2; clear count;
%% effetto viola sulla varianza

                    supp(1)=255; %% 217
                    supp(2)=255; %% 184
                    supp(3)=255; %% 231

                    inff(1)=60;
                    inff(2)=20;
                    inff(3)=60;

                    for k= 1 : 3
                        M=max(max(Istandarddeviation(:,:,k)));
                        m=min(min(Istandarddeviation(:,:,k)));

                        Istandarddeviation_rescaled(:,:,k)=(((supp(k)-inff(k))/(M-m).*(Istandarddeviation(:,:,k) - m) + inff(k)));
                    end
                    clear Istandarddeviation;

%%  save mean and standardeviation -tmx

                    namemeantmx=[TMXdir 'TMX' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];
                    namestdtmx=[STDdir 'VAR' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];

                    imwrite(uint8(Ibar),namemeantmx,'jpg');
                    imwrite(uint8(Istandarddeviation_rescaled),namestdtmx,'jpg');
                    clear Ibar; clear namemeantmx;
                    clear Istandarddeviation_rescaled; clear namestdtmx;
% %%                  
%                     str1=['tmx session ' num2str(it) '/' num2str(number_of_valsession_checked)];  
%                     str2=['tmx session ' num2str(it)' '... day:' date_ddmmyy(it2,:)];
%                     index=((it-1)*totaldays+it2)/(totaldays*numberofdtmx);                    
%                     workbar(index,str2,str1)
                    end
                end           
%%            
                clear timetmx;
            end
        end
    end

%%    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% day-timex

    if valcheckdtmx==1 
        DTMXdir=[location 'DTMX\'];
        if (exist(DTMXdir,'dir')==0)
            mkdir(DTMXdir);
        end
%%            
        fo=fopen(namefile,'r');
        number_of_lines_to_skip=6;
        for itt=1 : number_of_lines_to_skip
            fgetl(fo); 
        end
        clear number_of_lines_to_skip;
        number_of_pic_per_day=numberoftmx*numberofdtmx;
        for itt=1 : number_of_pic_per_day
            timedtmx(itt,:)=fgetl(fo); 
        end
        fclose(fo); 
    %%
        for it2=1 : totaldays
            count=0;
            sumI=0;
            for itt=1 : number_of_pic_per_day
                nameimage=[location name date(it2,:) timedtmx(itt,:)];
                if exist(nameimage,'file')
                    I=double(imread(nameimage)); clear nameimage;                        
                    sumI=sumI+I;    clear I;
                    count=count+1
                end
            end
            if count ~=0
                Ibar=sumI./count;
            end 
            clear sumI; clear count;
            %% save mean-dtmx
            namemeandtmx=[DTMXdir 'DTMX' '-' date_ddmmyy(it2,:) '.jpg'];

            imwrite(uint8(Ibar),namemeandtmx,'jpg');
            clear Ibar; clear namemeandtmx;
% %%                  
%             str1=['dtmx'];  
%             str2=['dtmx ... day:' date_ddmmyy(it2,:)];
%             index=it2/totaldays;                    
%             workbar(index,str2,str1)
        end           
%%            
        clear timedtmx;
    end
end