
%%
georeferentiationfile=['data\georef-camera' num2str(handles.camera) '.mat'];
%%
namefile=['camera' num2str(handles.camera) '.info'];
fo=fopen(namefile,'r');
location=fgetl(fo);
fgetl(fo);
fgetl(fo);
numberofdtmx=str2num(fgetl(fo));
fclose(fo);
%% 
valchecktmx=get(handles.checkbox_tmx,'Value');
valcheckdtmx=get(handles.checkbox_dtmx,'Value');
valcheckstd=get(handles.checkbox_std,'Value');
valchecksnapshot=get(handles.checkbox_snapshot,'Value');
%% 
    contentspopup = get(handles.popupmenu1,'String');
    datestart(3)=str2num(contentspopup(get(handles.popupmenu1,'Value'),:));

    contentspopup = get(handles.popupmenu2,'String');
    datestart(2)=str2num(contentspopup(get(handles.popupmenu2,'Value'),:));

    contentspopup = get(handles.popupmenu3,'String');
    datestart(1)=str2num(contentspopup(get(handles.popupmenu3,'Value'),:));
%% 
    contentspopup = get(handles.popupmenu11,'String');
    dateend(3)=str2num(contentspopup(get(handles.popupmenu11,'Value'),:));

    contentspopup = get(handles.popupmenu12,'String');
    dateend(2)=str2num(contentspopup(get(handles.popupmenu12,'Value'),:));

    contentspopup = get(handles.popupmenu13,'String');
    dateend(1)=str2num(contentspopup(get(handles.popupmenu13,'Value'),:));
%% 
    datefrom=datenum(datestart); %clear datestart;
    dateto=datenum(dateend);    %clear dateend;
    date_from_to=[datefrom:1:dateto];   %clear datefrom; clear dateto;

    date_ddmmyy=datestr(date_from_to,'ddmmyy'); 

    totaldays=size(date_from_to,2); clear date_from_to; 

%%
    load(georeferentiationfile);    
%%  rectify -tmx

    if valchecktmx==1 
        RECTdir=[location '\TMX\RECT\'];
        if (exist(RECTdir,'dir')==0)
            mkdir(RECTdir);
        end

        for it=1 : numberofdtmx
            for it2=1 : totaldays
                nameimage=[location '\TMX\TMX' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];
                nameret=[RECTdir 'RECTTMX' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];

                rectify();
%%                  
                str1=['rectify tmx' num2str(it) '/' num2str(numberofdtmx)];  
                str2=['rectify tmx session ' num2str(it)' '... day:' date_ddmmyy(it2,:)];
                index=((it-1)*totaldays+it2)/(totaldays*numberofdtmx);                    
%                workbar(index,str2,str1)
%%                
            end           
        end
    end

%%    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%  rectify -std

    if valcheckstd==1 
        RECTdir=[location '\VAR\RECT\'];
        if (exist(RECTdir,'dir')==0)
            mkdir(RECTdir);
        end
        
        for it=1 : numberofdtmx
            for it2=1 : totaldays
                nameimage=[location '\VAR\VAR' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];
                nameret=[RECTdir 'RECTVAR' num2str(it) '-' date_ddmmyy(it2,:) '.jpg'];

                rectify();
%%                  
                str1=['rectify var' num2str(it) '/' num2str(numberofdtmx)];  
                str2=['rectify var session ' num2str(it)' '... day:' date_ddmmyy(it2,:)];
                index=((it-1)*totaldays+it2)/(totaldays*numberofdtmx);                    
              %  workbar(index,str2,str1)
%%                
            end           
        end
    end

%%  rectify -dtmx

    if valcheckdtmx==1 
        RECTdir=[location '\DTMX\RECT\'];
        if (exist(RECTdir,'dir')==0)
            mkdir(RECTdir);
        end
        
        for it2=1 : totaldays
            nameimage=[location '\DTMX\DTMX' '-' date_ddmmyy(it2,:) '.jpg'];
            nameret=[RECTdir 'RECTDTMX' '-' date_ddmmyy(it2,:) '.jpg'];

            rectify();
%%                  
            str1=['rectify dtmx'];  
            str2=['rectify dtmx ... day:' date_ddmmyy(it2,:)];
            index=it2/totaldays;                    
 %           workbar(index,str2,str1)
%%                
        end           
    end
    
%%  rectify -snapshot

    if valchecksnapshot==1 
        [name_all_images,location]=uigetfiles('*.jpg', 'Choose image...');
        total_image_number=length(name_all_images);
        
        RECTdir=[location '\RECT\'];
        if (exist(RECTdir,'dir')==0)
            mkdir(RECTdir);
        end
        
        for it2=1 : total_image_number
            nameimage=[location name_all_images{it2}];
            nameret=[RECTdir 'RECT' name_all_images{it2}];

            rectify();
%%                  
            str1=['rectify image' num2str(it2) '/' num2str(total_image_number)];  
            str2=['rectify image:' name_all_images{it2}];
            index=it2/total_image_number;                    
 %           workbar(index,str2,str1)
%%                
        end           
    end
