
%% file config.txt
fo=fopen(handles.configfile,'a');
fprintf(fo,'Camera Number: %d\n',handles.count);
fprintf(fo,'Location: %s\n',handles.directory);
fprintf(fo,'Name Image: %s\n',handles.nameimage);
fprintf(fo,'Start DTMX: %s.%s.%s\n',handles.start(1,:),...
            handles.start(2,:),handles.start(3,:));
fprintf(fo,'Frequency TMX: %s.%s.%s\n',handles.frequency(1,:),...
            handles.frequency(2,:),handles.frequency(3,:));        
fprintf(fo,'Finish TMX: %s.%s.%s\n',handles.finish(1,:),...
            handles.finish(2,:),handles.finish(3,:));        
fprintf(fo,'Frequency DTMX: %s.%s.%s\n',handles.dailyfrequency(1,:),...
            handles.dailyfrequency(2,:),handles.dailyfrequency(3,:));        
fprintf(fo,'Finish DTMX: %s.%s.%s\n',handles.finishdtmx(1,:),...
            handles.finishdtmx(2,:),handles.finishdtmx(3,:));        

fprintf(fo,'Date Format: %d\n',handles.dateformat);
        
fprintf(fo,'Separator date-time: %s\n',handles.separator);
        
fprintf(fo,'\n');
fclose(fo);

%% file camera*.info

startdtmx=time2sec(handles.start);
frequencytmx=time2sec(handles.frequency);
finishtmx=time2sec(handles.finish);
frequencydtmx=time2sec(handles.dailyfrequency);
finishdtmx=time2sec(handles.finishdtmx);

numtmx=(finishtmx-startdtmx)/frequencytmx;
numdtmx=(finishdtmx-startdtmx)/frequencydtmx;
sessiontmx=[startdtmx:frequencytmx:finishtmx]';
tmx=sessiontmx;

for it = 1 : numdtmx
    tmx=[tmx;sessiontmx+it*frequencydtmx];
end

nameimage_time=sec2time(tmx);

lengthtmx=length(tmx);

str=['camera' num2str(handles.count) '.info'];

fo1=fopen(str,'w');
fprintf(fo1,'%s\n',handles.directory);
fprintf(fo1,'%s\n',handles.nameimage);
fprintf(fo1,'%d\n',handles.dateformat);       %dateformat 1-DDMMYY 2-YYMMDD
fprintf(fo1,'%d\n',numdtmx+1);                %Number of daytimex
fprintf(fo1,'%d\n',numtmx+1);                 %Number of timex
fprintf(fo1,'\n');
for it = 1 : lengthtmx
    fprintf(fo1,'%s%s.jpg\n',handles.separator,nameimage_time(it,:));
end
fclose(fo1);